[Armadeus-commitlog] armadeus branch, master, updated. armadeus-5.2-224-ge8bd09f
Brought to you by:
sszy
|
From: Julien B a. A. <ar...@us...> - 2013-04-13 16:19:59
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "armadeus".
The branch, master has been updated
via e8bd09f664b1afa253a2941fe2bf62e979cf1886 (commit)
via 979a73835db4bd5d76a3bad3c1cfe919c51bf293 (commit)
via 787c59e7653f7f5ae012dfa2dbed9db12a6f9779 (commit)
from 6015e2bb86eaf11008a0b99b1acbb3ce50719205 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit e8bd09f664b1afa253a2941fe2bf62e979cf1886
Author: Julien Boibessot <jul...@ar...>
Date: Sat Apr 13 18:19:21 2013 +0200
[BUILDROOT] 2013.02: fixes gnokii package
commit 979a73835db4bd5d76a3bad3c1cfe919c51bf293
Author: Julien Boibessot <jul...@ar...>
Date: Sat Apr 13 18:16:15 2013 +0200
[BUILDROOT] 2012.02: Add (preliminary) support for smstools3
commit 787c59e7653f7f5ae012dfa2dbed9db12a6f9779
Author: Julien Boibessot <jul...@ar...>
Date: Thu Apr 11 22:56:34 2013 +0200
[SCRIPTS] Small fix in quiltify.sh
-----------------------------------------------------------------------
Summary of changes:
...3-armadeus-add_sms_server_tools_3_package.patch | 112 ++++++++++++++++++++
patches/buildroot/2012.02/cleanup_buildroot.sh | 1 +
.../2013.02/201-armadeus-add_gnokii.patch | 2 +-
scripts/quiltify.sh | 2 +-
4 files changed, 115 insertions(+), 2 deletions(-)
create mode 100644 patches/buildroot/2012.02/203-armadeus-add_sms_server_tools_3_package.patch
diff --git a/patches/buildroot/2012.02/203-armadeus-add_sms_server_tools_3_package.patch b/patches/buildroot/2012.02/203-armadeus-add_sms_server_tools_3_package.patch
new file mode 100644
index 0000000..6dd837b
--- /dev/null
+++ b/patches/buildroot/2012.02/203-armadeus-add_sms_server_tools_3_package.patch
@@ -0,0 +1,112 @@
+Signed-off-by: Julien Boibessot <jul...@ar...>
+
+Index: buildroot/package/Config.in
+===================================================================
+--- buildroot.orig/package/Config.in 2013-04-11 22:32:52.000000000 +0200
++++ buildroot/package/Config.in 2013-04-11 22:33:41.000000000 +0200
+@@ -542,6 +542,7 @@
+ source "package/rsync/Config.in"
+ source "package/samba/Config.in"
+ source "package/ser2net/Config.in"
++source "package/smstools3/Config.in"
+ source "package/socat/Config.in"
+ source "package/spawn-fcgi/Config.in"
+ source "package/squid/Config.in"
+Index: buildroot/package/smstools3/Config.in
+===================================================================
+--- /dev/null 1970-01-01 00:00:00.000000000 +0000
++++ buildroot/package/smstools3/Config.in 2013-04-11 22:32:00.000000000 +0200
+@@ -0,0 +1,13 @@
++config BR2_PACKAGE_SMSTOOLS3
++ bool "smstools3"
++ help
++ The SMS Server Tools 3 is a SMS Gateway software which can send and
++ receive short messages through GSM modems and mobile phones.
++
++ http://smstools3.kekekasvi.com/
++
++
++config BR2_PACKAGE_SMSTOOLS3_NB_MODEMS
++ depends on BR2_PACKAGE_SMSTOOLS3
++ string "Number of modems to support"
++ default 1
+Index: buildroot/package/smstools3/smstools3.mk
+===================================================================
+--- /dev/null 1970-01-01 00:00:00.000000000 +0000
++++ buildroot/package/smstools3/smstools3.mk 2013-04-11 22:52:28.000000000 +0200
+@@ -0,0 +1,32 @@
++#############################################################
++#
++# SMS Server Tools 3
++#
++#############################################################
++
++SMSTOOLS3_VERSION = 3.1.15
++SMSTOOLS3_SITE = http://smstools3.kekekasvi.com/packages/
++
++SMSTOOLS3_NB_MODEMS = $(call qstrip,$(BR2_PACKAGE_SMSTOOLS3_NB_MODEMS))
++
++SMSTOOLS3_CFLAGS = $(TARGET_CFLAGS)
++SMSTOOLS3_CFLAGS += -D NUMBER_OF_MODEMS=$(SMSTOOLS3_NB_MODEMS)
++SMSTOOLS3_CFLAGS += -D NOSTATS
++
++define SMSTOOLS3_BUILD_CMDS
++ $(MAKE) CC="$(TARGET_CC)" CFLAGS="$(SMSTOOLS3_CFLAGS)" -C $(@D)
++endef
++
++define SMSTOOLS3_INSTALL_TARGET_CMDS
++ mkdir -p $(TARGET_DIR)/usr/local/bin
++ cp $(@D)/src/smsd $(TARGET_DIR)/usr/local/bin
++ cp $(@D)/scripts/sendsms $(TARGET_DIR)/usr/local/bin
++ cp $(@D)/examples/smsd.conf.easy $(TARGET_DIR)/etc/smsd.conf
++ $(INSTALL) -m 0755 -D package/smstools3/S50smsd $(TARGET_DIR)/etc/init.d/S50smsd
++endef
++
++define SMSTOOLS3_CLEAN_CMDS
++ $(MAKE) -C $(@D) clean
++endef
++
++$(eval $(call GENTARGETS))
+Index: buildroot/package/smstools3/S50smsd
+===================================================================
+--- /dev/null 1970-01-01 00:00:00.000000000 +0000
++++ buildroot/package/smstools3/S50smsd 2013-04-11 22:49:28.000000000 +0200
+@@ -0,0 +1,38 @@
++#!/bin/sh
++#
++# Starts the SMS Server Tools 3
++#
++
++NAME=smsd
++DAEMON=/usr//local/bin/$NAME
++PIDFILE=/var/run/$NAME.pid
++
++start()
++{
++ echo -n "Starting $NAME: "
++ start-stop-daemon -S -q -p $PIDFILE --exec $DAEMON -- -P $PIDFILE $DEVICES && echo "OK" || echo "Failed"
++}
++
++stop()
++{
++ echo -n "Stopping $NAME: "
++ start-stop-daemon -K -q -p $PIDFILE && echo "OK" || echo "Failed"
++ rm -f $PIDFILE
++}
++
++case "$1" in
++ start)
++ start
++ ;;
++ stop)
++ stop
++ ;;
++ restart|reload)
++ restart
++ ;;
++ *)
++ echo $"Usage: $0 {start|stop|restart}"
++ exit 1
++esac
++
++exit $?
diff --git a/patches/buildroot/2012.02/cleanup_buildroot.sh b/patches/buildroot/2012.02/cleanup_buildroot.sh
index 0fbb714..2bb7241 100755
--- a/patches/buildroot/2012.02/cleanup_buildroot.sh
+++ b/patches/buildroot/2012.02/cleanup_buildroot.sh
@@ -83,3 +83,4 @@ rm -rf buildroot/package/compat-wireless/
rm -f buildroot/package/qt/qt-4.7.4-map_keyboard_keys_metas_and_menu.patch
rm -rf buildroot/package/gnokii/
rm -f buildroot/linux/linux.mk
+rm -rf buildroot/package/smstools3/
diff --git a/patches/buildroot/2013.02/201-armadeus-add_gnokii.patch b/patches/buildroot/2013.02/201-armadeus-add_gnokii.patch
index 652dac0..83d99bf 100644
--- a/patches/buildroot/2013.02/201-armadeus-add_gnokii.patch
+++ b/patches/buildroot/2013.02/201-armadeus-add_gnokii.patch
@@ -53,5 +53,5 @@ Index: buildroot/package/gnokii/gnokii.mk
+GNOKII_PRE_CONFIGURE_HOOKS += GNOKII_INTLTOOLIZE
+
+GNOKII_DEPENDENCIES = libglib2 host-intltool
-+$(eval $(call AUTOTARGETS))
++$(eval $(autotools-package))
+
diff --git a/scripts/quiltify.sh b/scripts/quiltify.sh
index 77e2e6b..59c210c 100755
--- a/scripts/quiltify.sh
+++ b/scripts/quiltify.sh
@@ -107,7 +107,7 @@ if [ "$1" == "export" ]; then
else
echo "No VCS found"
fi
- echo -e "\n--- If you worked on Buildroot patches don't forget to eventually update patches/buildroot/201x.xx/cleanup.sh !\n"
+ echo -e "\n--- If you worked on Buildroot patches don't forget to eventually update patches/buildroot/$ARMADEUS_BUILDROOT_VERSION/cleanup_buildroot.sh !\n"
exit 0
fi
hooks/post-receive
--
armadeus
|